Bug 852533 - [ORIGIN] gear count via REST URL is incorrect when a scaleable app is present.
[ORIGIN] gear count via REST URL is incorrect when a scaleable app is present.
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Pod (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Krishna Raman
libra bugs
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-28 16:11 EDT by Peter Ruan
Modified: 2015-05-14 22:04 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-06 13:50:03 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Ruan 2012-08-28 16:11:18 EDT
Description of problem:
In Origin, the consumed gear count is incorrect.

Scenario #1: 1 app, http:://<the_vm_url>/broker/user.json  returns 0
Scenario #2: 1 scaleable app: return 3 gears consumed.

Version-Release number of selected component (if applicable):


How reproducible:
always

Steps to Reproduce:
1. see above
2.
3.
  
Actual results:
1 app = 0 gear
1 scaleable app = 3 gears

Expected results:
1 app = 1 gear
1 scaleable app = 2 gears

Additional info:
Comment 1 Peter Ruan 2012-10-30 17:23:27 EDT
verified with the latest checkout of the origin codes.

The gears count is correct now.

Note You need to log in before you can comment on or make changes to this bug.